Index: npl/overig/oniguruma/oniguruma.SlackBuild
===================================================================
--- npl/overig/oniguruma/oniguruma.SlackBuild	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/oniguruma/oniguruma.SlackBuild	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/l/oniguruma/
+# Created at Wed 01 Jun 2022 03:04:47 PM CEST
+
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./oniguruma.SlackBuild.orig
+
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/overig/oniguruma/oniguruma.SlackBuild.orig
===================================================================
--- npl/overig/oniguruma/oniguruma.SlackBuild.orig	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/oniguruma/oniguruma.SlackBuild.orig	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,134 @@
+#!/bin/bash
+
+# Copyright 2019, 2020  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=oniguruma
+SRCNAM=oniguruma
+VERSION=${VERSION:-$(echo $SRCNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$(uname -m)" in
+    i?86) ARCH=i586 ;;
+    arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+    *) ARCH=$(uname -m) ;;
+  esac
+  export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+  exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+  SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+  LIBDIRSUFFIX=""
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
+cd $SRCNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+  -exec chmod 755 {} \+ -o \
+  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+  -exec chmod 644 {} \+
+
+if [ ! -r configure ]; then
+  NOCONFIGURE=1 ./autogen.sh
+fi
+
+# Configure, build, and install:
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --sysconfdir=/etc \
+  --localstatedir=/var \
+  --docdir=/usr/doc/$PKGNAM-$VERSION \
+  --mandir=/usr/man \
+  --enable-posix-api \
+  --disable-static \
+  --build=$ARCH-slackware-linux || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+  AUTHORS* COPYING* ChangeLog HISTORY* NEWS* README* \
+  doc \
+  $PKG/usr/doc/${PKGNAM}-$VERSION
+
+# If there's a HISTORY file, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r HISTORY ]; then
+  DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+  cat HISTORY | head -n 1000 > $DOCSDIR/HISTORY
+  touch -r HISTORY $DOCSDIR/HISTORY
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
Index: npl/overig/oniguruma/oniguruma.arch
===================================================================
--- npl/overig/oniguruma/oniguruma.arch	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/oniguruma/oniguruma.arch	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/oniguruma/oniguruma.build
===================================================================
--- npl/overig/oniguruma/oniguruma.build	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/oniguruma/oniguruma.build	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/oniguruma/oniguruma.md5
===================================================================
--- npl/overig/oniguruma/oniguruma.md5	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/oniguruma/oniguruma.md5	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,7 @@
+e8fc9ca99530676a1ec8a1610e4112d9  ./oniguruma-6.9.8.tar.lz
+9e873cc0db59484f9433f4abc40ad3fc  ./oniguruma_dev.pkg
+81f15f881d7c61c4e7cfd1ffdaea6fe3  ./oniguruma.pkg
+ecf39ef5d468b3962009bff32d9cd5b7  ./oniguruma.SlackBuild
+0ca000667308b3eb81b9573bc4ce2d93  ./oniguruma.SlackBuild.log.gz
+82c9a343f48f853f723e13b363dbe624  ./oniguruma.SlackBuild.orig
+9200752eefa5cf716dc7a18a98b4a220  ./slack-desc
Index: npl/overig/oniguruma/oniguruma.version
===================================================================
--- npl/overig/oniguruma/oniguruma.version	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/oniguruma/oniguruma.version	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,1 @@
+6.9.8
Index: npl/overig/oniguruma/oniguruma_dev.arch
===================================================================
--- npl/overig/oniguruma/oniguruma_dev.arch	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/oniguruma/oniguruma_dev.arch	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/oniguruma/oniguruma_dev.build
===================================================================
--- npl/overig/oniguruma/oniguruma_dev.build	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/oniguruma/oniguruma_dev.build	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/oniguruma/oniguruma_dev.version
===================================================================
--- npl/overig/oniguruma/oniguruma_dev.version	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/oniguruma/oniguruma_dev.version	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,1 @@
+6.9.8
Index: npl/overig/oniguruma/slack-desc
===================================================================
--- npl/overig/oniguruma/slack-desc	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
+++ npl/overig/oniguruma/slack-desc	(revision f33f7811e04850f1db8f3d6f9d4b1144b44823f3)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+         |-----handy-ruler------------------------------------------------------|
+oniguruma: oniguruma (regular expressions library)
+oniguruma:
+oniguruma: Oniguruma is a modern and flexible regular expressions library. It
+oniguruma: encompasses features from different regular expression implementations
+oniguruma: that traditionally exist in different languages.
+oniguruma:
+oniguruma: Character encoding can be specified per regular expression object.
+oniguruma:
+oniguruma: Homepage: https://github.com/kkos/oniguruma
+oniguruma:
+oniguruma:
